SpatialOptions (Solr 3.6.2 API)
Keywords: org.apache.solr.search.SpatialOptions class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class SpatialOptions

    java.lang.Object
      org.apache.solr.search.SpatialOptions

    public class SpatialOptions

extends Object

Field Summary
`boolean` | `bbox` Just do a "bounding box" - or any other quicker method / shape that still encompasses all of the points of interest, but may also encompass points outside.
`double` | `distance`
`SchemaField` | `field`
`String` | `measStr`
`String` | `pointStr`
`double` | `radius`
`DistanceUnits` | `units`

Constructor Summary
`SpatialOptions()`
`SpatialOptions(String pointStr, double dist, SchemaField sf, String measStr, double radius)`
`SpatialOptions(String pointStr, double dist, SchemaField sf, String measStr, double radius, DistanceUnits units)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pointStr

    public String pointStr

### distance

    public double distance

### field

    public SchemaField field

### measStr

    public String measStr

### radius

    public double radius

### units

    public DistanceUnits units

### bbox

    public boolean bbox

  Just do a "bounding box" - or any other quicker method / shape that still encompasses all of the points of interest, but may also encompass points outside.

Constructor Detail

### SpatialOptions

    public SpatialOptions()

### SpatialOptions

    public SpatialOptions(String pointStr,
                          double dist,
                          SchemaField sf,
                          String measStr,
                          double radius)

### SpatialOptions

    public SpatialOptions(String pointStr,
                          double dist,
                          SchemaField sf,
                          String measStr,
                          double radius,
                          DistanceUnits units)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD